/***********************************************************
 * $Id$
 *
 * FancyQT5
 *
 * Copyright (C) 2009-2011 ev-i GmbH & IBCL e.U.
 * Copyright (C) 2011-2013 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/

#ifndef FANCYQT5I18N_H_
#define FANCYQT5I18N_H_

#include <fancyqt5.h>

namespace Fancy {
namespace Qt5 {

FANCYQT5_API void i18n_init(const char *prefix);

FANCYQT5_I18N_API const char *i18n(const char *msg);
FANCYQT5_I18N_N_API const char *i18n_n(const char *msg,
                                       const char *msg_plural,
                                       unsigned long n);

}}

#endif /* FANCYQT5I18N_H_ */
